#
# spec file for package python3-pyte
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-pyte
Version:        0.5.2
Release:        1.2
Summary:        Simple VTXXX-compatible linux terminal emulator
License:        LGPL-3.0
Group:          Development/Languages/Python
Url:            http://pyte.readthedocs.org/en/latest/
Source:         https://files.pythonhosted.org/packages/source/p/pyte/pyte-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-runner
BuildRequires:  python3-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Curses-like terminal wrapper with a display based on compositing 2d
arrays of text.

%prep
%setup -q -n pyte-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python3_sitelib}/*
%doc LICENSE README AUTHORS CHANGES docs/*rst

%changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Tue Mar 15 2016 arun@gmx.de
- specfile:
  * added python3-pytest-runner
- update to version 0.5.2:
  * Fixed a bug in handling DA request. See issue #46 on GitHub.
* Sat Jan 30 2016 arun@gmx.de
- specfile:
  * update copyright year
- update to version 0.5.1:
  * Fixed dependencies in setup.py.
- changes from version 0.5.0:
  * Deprecated "Stream.consume" in favour of "Stream.feed". The latter
    allows for a more efficient implementation because it operates on
    the whole input string.
  * Improved "Stream" performance by converting FSM to a coroutine as
    suggested by Jonathan Slenders in issue #41 on GitHub.
  * Added support for `DA` (device attributes) and `DSR` (device
    status report). The implementation is based on the code by
    Jonathan Slenders. See issue #41 on GitHub.
  * "Screen.draw" now properly handles full/ambiguous-width
    characters. Thanks to the excellent `wcwidth
    <https://github.com/jquast/wcwidth>`_ library by Jeff Quast.
  * Removed re-exports of abbreviated modules (e.g. "mo" as a synonym
    for "modes") from "pyte".
  * Removed "Screen.size" which misleadingly returned constructor
    arguments in reverse order. Please use "Screen.columns" and
    "Screen.lines" instead.
  * Fixed a bug in "ByteStream" which suppressed the exception if all
    of the decoders failed to process the input.
* Tue Aug 11 2015 arun@gmx.de
- update to version 0.4.10:
  * Fixed a bug in `pyte.screens.DiffScreen.draw` which marked the
    wrong line as changed when `DECAWM` was enabled.
  * `pyte.streams.Stream` now recognizes ESC %% sequences for selecting
    control character set. However, these operations are no-op in the
    current version in a sense that `pyte.streams.ByteStream` does not
    handle them to change encoding.
* Tue Mar 31 2015 arun@gmx.de
- specfile:
  * correct license information: LGPL-3.0 (was LGPL)
* Tue Feb 17 2015 arun@gmx.de
- initial version
